Subject: Re: [PATCH net-next 01/11] net: dsa: legacy: assign dst->applied

From: Andrew Lunn <[email-masked]>
Date: Tue, 15 Aug 2017 00:58:20 +0200

On Mon, Aug 14, 2017 at 06:22:32PM -0400, Vivien Didelot wrote:
> The "applied" boolean of the dsa_switch_tree is only set in the new
> bindings. This patch sets it in the legacy code as well.

What is missing here is: Why? 

I see the next patch does a WARN_ON(!applied). Why have a WARN_ON?

  Andrew